mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
The registering of callback functions

## Functions

int | mp3splt_set_message_function (splt_state *state, void(*message_cb)(const char *, splt_message_type))
int | mp3splt_set_progress_function (splt_state *state, void(*progress_cb)(splt_progress *p_bar))
int | mp3splt_set_silence_level_function (splt_state *state, void(*get_silence_cb)(long time, float level, void *user_data), void *user_data)
int | mp3splt_set_split_filename_function (splt_state *state, void(*file_cb)(const char *, int))

## Detailed Description

## Function Documentation

int mp3splt_set_message_function | ( | splt_state * | state,
|  | void(*)(const char *, splt_message_type) | message_cb
| ) |  |

Register the function that is to be called if we got a text message.

Parameters

  state | The central struct libmp3splt keeps all its data in
  message_cb | The callback function

Returns
  The error code

Referenced by main().

Here is the caller graph for this function:

int mp3splt_set_progress_function | ( | splt_state * | state,
|  | void(*)(splt_progress *p_bar) | progress_cb
| ) |  |

Register the progress bar callback.

Parameters

  state | The central struct libmp3splt keeps all its data in
  progress_cb | The callback function

Returns
  The error code

Referenced by main().

Here is the caller graph for this function:

int mp3splt_set_split_filename_function | ( | splt_state * | state,
|  | void(*)(const char *, int) | file_cb
| ) |  |

Register the function that is to be called on creation of a output file.

Parameters

  state | The central struct libmp3splt keeps all its data in
  file_cb | The callback function

Returns
  The error code

Referenced by detect_silence_and_set_splitpoints(), and main().

Here is the caller graph for this function: